# Choose Agro_Data.csv
Agro<-read.csv(file.choose())
Agro <- st_as_sf(Agro, coords = c("X","Y"),crs=st_crs(Agro))
plot(Agro,pch=12,cex=0.5)

# Names of the variables, soil pH("pH"), Soil organic matter ("OM"), Phosphorus ("P"), Potassium ("K"), Magnesium ("Mg"), Calcium ("Ca"), Aluminum ("Al"), Nitrate("NO_3"), Electrical conductivity("EC"), Elevation (meters) ("Elev"). 


# Choose Agro_Mask.tif
Agro_mask<- read_stars(file.choose())
st_crs(Agro)<-st_crs(Agro_mask)
Agro_mask[Agro_mask==2]=1
Agro_mask[Agro_mask==0]=NA

plot(Agro['Ca'],pch=19,pal=pal)
plot(Agro['K'],pch=19,pal=pal)

lx<-diff(range(st_coordinates(Agro)[,1])) #Approximate field width
ly<-diff(range(st_coordinates(Agro)[,2])) #Approximate field length

# You can continue the analysis here... 
